Configure a new webhook
Create a new webhook configuration for a customer or specific agent
Required scope: convai:write
Body
required
application/json
- Type: string enumevent
_type requiredType of event to trigger this webhook
values- conversation
.completed - conversation
.initiating
- Type: string Format: uriurlrequired
URL to deliver webhooks to
- Type: stringagent
_id Optional agent ID for agent-specific webhook
- Type: booleanenabled
Whether the webhook is enabled
- Type: objectrequest
_headers Custom headers to include with the webhook request
Responses
- application/json
- 400
Invalid configuration
- application/json
- application/json
- 500
Internal server error
Request Example for post/webhooks
curl https://api.simwood.com/convai/v1/webhooks \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"agent_id": "",
"event_type": "conversation.completed",
"url": "",
"request_headers": {
"additionalProperty": ""
},
"enabled": true
}'
{
"id": "string",
"agent_id": null,
"event_type": "conversation.completed",
"url": "https://example.com",
"request_headers": {
"additionalProperty": "string"
},
"enabled": true,
"created_at": "2026-07-18T10:26:52.854Z",
"updated_at": "2026-07-18T10:26:52.854Z"
}